*
*  PERF12.PRG
*  DISTINCT vs GROUP BY 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

use PERFPAY 
start = seconds()
SELECT py_id_ ;
    FROM PERFPAY ;
    DISTINCT ;
    INTO CURSOR PERF12    
@ 1,2 say "DISTINCT:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

close databases
use PERFPAY
start = seconds()
SELECT py_id_ ;
    FROM PERFPAY ;
    GROUP BY py_id_ ;
    INTO CURSOR PERF12    
@ 5,2 say "GROUP BY:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return