*
*  PERF20.PRG
*  Name Indirection vs Macro Substitution 
*
*  (c) Copyright 1994   Prosoft Systems, Inc.
*           Prosoft Systems, Inc.
*           10560 Main St., Suite 418
*           Fairfax, VA  22030
*           703-591-0101 voice
*           703-591-0108 fax
*  Author:  Drew Speedie
*
clear all
clear
set talk off
set exclusive off
set safety off

lcTable = "PERFBAL"

start = seconds()
FOR xx = 1 to 50
  use &lcTable 
  use in &lcTable
ENDFOR
@ 1,2 say "Macro:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(128,0,0,255,255,255)

start = seconds()
FOR xx = 1 to 50
  use (lcTable)
  use in (lcTable)
ENDFOR
@ 5,2 say "Indirection:  " + str(seconds()-start,7,3) ;
     font "Arial",32 style "B" ;
     color rgb(0,0,128,255,255,255)

clear all
return